API

Update mobile app analytics settings

POST/api/crm/v2/mobile_apps_analytics.updatev2
operationId: mobileAppsAnalytics.update

Updates analytics settings. analytics_ids — active services, field values are passed as analytics_field_{field}_{ios|android}_{id}; the result is saved as {analytics_id: {ios: {...}, android: {...}}}.

Authorization

api-token + language + role

Query parameters

chain_idintegerrequired

Example: 7160

Request body application/json

object

In addition to the array of identifiers, there can be any number of fields. Keys are generated using the template ${analytics_field_}${field}_${type}_${id}, where field is the field name, id is the analytics service identifier, and type is either ios or android.

analytics_idsarray of integer

Active analytics service IDs

analytics_field_api_key_ios_1string

Example: text

analytics_field_api_key_android_1string

Example: text

analytics_field_measurement_id_ios_2string

Example: text

analytics_field_api_secret_ios_2string

Example: text

analytics_field_measurement_id_android_2string

Example: text

analytics_field_api_secret_android_2string

Example: text

analytics_field_api_key_ios_3string

Example: text

analytics_field_api_key_android_3string

Example: text

analytics_field_api_key_ios_5string

Example: text

analytics_field_api_key_android_5string

Example: text

analytics_field_app_name_ios_6string

Example: text

analytics_field_app_id_ios_6string

Example: text

analytics_field_client_token_ios_6string

Example: text

analytics_field_app_name_android_6string

Example: text

analytics_field_app_id_android_6string

Example: text

analytics_field_client_token_android_6string

Example: text

Responses

OK

object
statusstringrequired

Values:successerror

Example: success

dataobject